﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IndeksyTekstowe
{
    public static class Indeks
    {
        public static string Gorny(this int liczba)
        {
            if (liczba == 0 ||
                liczba == 1)
                return "";
            //zbiór znaków indeksów górnych
            const string Cyfry =
                "\u2070\u00b9\u00b2\u00b3\u2074\u2075\u2076\u2077\u2078\u2079";

            string wynik = "";

            if (liczba < 0)
            {
                //ewentualny znak minus dopisz przed ciąg znaków
                //na przykład potęga ujemna x^-2
                wynik = ((char)0x207B).ToString();
                liczba *= -1;
            }

            wynik += 
                new string(liczba.ToString().Select(x => Cyfry[x - '0']).ToArray());
            return wynik;
        }

        public static string Dolny(this int liczba)
        {
            if (liczba == 0 ||
                liczba == 1)
                return "";
            //zbiór znaków indeksów dolnych
            const string Cyfry =
                "\u2080\u2081\u2082\u2083\u2084\u2085\u2086\u2087\u2088\u2089";

            string wynik = "";

            if (liczba < 0)
            {
                //ewentualny znak minus dopisz przed ciąg znaków
                //na przykład potęga ujemna x^-2
                wynik = ((char)0x208B).ToString();
                liczba *= -1;
            }

            wynik +=
                new string(liczba.ToString().Select(x => Cyfry[x - '0']).ToArray());
            return wynik;
        }

    }
}
